Index: /LMDZ5/branches/testing/libf/phylmd/read_pstoke0.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/read_pstoke0.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/read_pstoke0.F90	(revision 2408)
@@ -18,46 +18,44 @@
   USE netcdf
   USE dimphy
-  USE control_mod
   USE indice_sol_mod
+  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, nbp_lev
 
   IMPLICIT NONE
 
   include "netcdf.inc"
-  include "dimensions.h"
-  include "paramet.h"
-  include "comconst.h"
-  include "comgeom.h"
-  include "temps.h"
-  include "ener.h"
-  include "logic.h"
-  include "description.h"
-  include "serre.h"
-  ! ccc#include "dimphy.h"
 
   INTEGER kon, kev, zkon, zkev
-  PARAMETER (kon=iim*(jjm-1)+2, kev=llm)
-  REAL phisfi(kon)
-  REAL phisfi2(iim, jjm+1), airefi2(iim, jjm+1)
-
-  REAL mfu(kon, kev), mfd(kon, kev)
-  REAL en_u(kon, kev), de_u(kon, kev)
-  REAL en_d(kon, kev), de_d(kon, kev)
-  REAL coefh(kon, kev)
+!  PARAMETER (kon=iim*(jjm-1)+2, kev=llm)
+  REAL :: phisfi(nbp_lon*(nbp_lat-2)+2) !phisfi(kon)
+  REAL,ALLOCATABLE :: phisfi2(:,:) !phisfi2(nbp_lon, nbp_lat)
+  REAL,ALLOCATABLE :: airefi2(:,:) !airefi2(nbp_lon, nbp_lat)
+
+  REAL :: mfu(nbp_lon*(nbp_lat-2)+2,nbp_lev) !mfu(kon, kev)
+  REAL :: mfd(nbp_lon*(nbp_lat-2)+2,nbp_lev) !mfd(kon, kev)
+  REAL :: en_u(nbp_lon*(nbp_lat-2)+2,nbp_lev) !en_u(kon, kev)
+  REAL :: de_u(nbp_lon*(nbp_lat-2)+2,nbp_lev) !de_u(kon, kev)
+  REAL :: en_d(nbp_lon*(nbp_lat-2)+2,nbp_lev) !en_d(kon, kev)
+  REAL :: de_d(nbp_lon*(nbp_lat-2)+2,nbp_lev) !de_d(kon, kev)
+  REAL :: coefh(nbp_lon*(nbp_lat-2)+2,nbp_lev) !coefh(kon, kev)
 
   ! abd 25 11 02
   ! Thermiques
-  REAL fm_therm(kon, kev), en_therm(kon, kev)
-  REAL t(kon, kev)
-
-  REAL mfu2(iim, jjm+1, kev), mfd2(iim, jjm+1, kev)
-  REAL en_u2(iim, jjm+1, kev), de_u2(iim, jjm+1, kev)
-  REAL en_d2(iim, jjm+1, kev), de_d2(iim, jjm+1, kev)
-  REAL coefh2(iim, jjm+1, kev)
-  REAL t2(iim, jjm+1, kev)
+  REAL :: fm_therm(nbp_lon*(nbp_lat-2)+2,nbp_lev) !fm_therm(kon, kev)
+  REAL :: en_therm(nbp_lon*(nbp_lat-2)+2,nbp_lev) !en_therm(kon, kev)
+  REAL :: t(nbp_lon*(nbp_lat-2)+2,nbp_lev) !t(kon, kev)
+
+  REAL,ALLOCATABLE :: mfu2(:,:,:) !mfu2(nbp_lon, nbp_lat, kev)
+  REAL,ALLOCATABLE :: mfd2(:,:,:) !mfd2(nbp_lon, nbp_lat, kev)
+  REAL,ALLOCATABLE :: en_u2(:,:,:) !en_u2(nbp_lon, nbp_lat, kev)
+  REAL,ALLOCATABLE :: de_u2(:,:,:) !de_u2(nbp_lon, nbp_lat, kev)
+  REAL,ALLOCATABLE :: en_d2(:,:,:) !en_d2(nbp_lon, nbp_lat, kev)
+  REAL,ALLOCATABLE :: de_d2(:,:,:) !de_d2(nbp_lon, nbp_lat, kev)
+  REAL,ALLOCATABLE :: coefh2(:,:,:) !coefh2(nbp_lon, nbp_lat, kev)
+  REAL,ALLOCATABLE :: t2(:,:,:) !t2(nbp_lon, nbp_lat, kev)
   ! Thermiques
-  REAL fm_therm2(iim, jjm+1, kev)
-  REAL en_therm2(iim, jjm+1, kev)
-
-  REAL pl(kev)
+  REAL,ALLOCATABLE :: fm_therm2(:,:,:) !fm_therm2(nbp_lon, nbp_lat, kev)
+  REAL,ALLOCATABLE :: en_therm2(:,:,:) !en_therm2(nbp_lon, nbp_lat, kev)
+
+  REAL,ALLOCATABLE :: pl(:) !pl(kev)
   INTEGER irec
   INTEGER xid, yid, zid, tid
@@ -65,5 +63,5 @@
   INTEGER ncrec, nckon, nckev, ncim, ncjm
 
-  REAL airefi(kon)
+  REAL :: airefi(nbp_lon*(nbp_lat-2)+2) !airefi(kon)
   CHARACTER *20 namedim
 
@@ -72,44 +70,73 @@
   ! dim de phis??
 
-  REAL frac_impa(kon, kev), frac_nucl(kon, kev)
-  REAL frac_impa2(iim, jjm+1, kev), frac_nucl2(iim, jjm+1, kev)
-  REAL pyu1(kon), pyv1(kon)
-  REAL pyu12(iim, jjm+1), pyv12(iim, jjm+1)
-  REAL ftsol(kon, nbsrf)
-  REAL psrf(kon, nbsrf)
-  REAL ftsol1(kon), ftsol2(kon), ftsol3(kon), ftsol4(kon)
-  REAL psrf1(kon), psrf2(kon), psrf3(kon), psrf4(kon)
-  REAL ftsol12(iim, jjm+1), ftsol22(iim, jjm+1), ftsol32(iim, jjm+1), &
-    ftsol42(iim, jjm+1)
-  REAL psrf12(iim, jjm+1), psrf22(iim, jjm+1), psrf32(iim, jjm+1), &
-    psrf42(iim, jjm+1)
-
-  INTEGER ncidp
-  SAVE ncidp
-  INTEGER varidmfu, varidmfd, varidps, varidenu, variddeu
-  INTEGER varidt
-  INTEGER varidend, varidded, varidch, varidfi, varidfn
+  REAL :: frac_impa(nbp_lon*(nbp_lat-2)+2,nbp_lev) !frac_impa(kon, kev)
+  REAL :: frac_nucl(nbp_lon*(nbp_lat-2)+2,nbp_lev) !frac_nucl(kon, kev)
+  REAL,ALLOCATABLE :: frac_impa2(:,:,:) !frac_impa2(nbp_lon, nbp_lat, kev)
+  REAL,ALLOCATABLE :: frac_nucl2(:,:,:) !frac_nucl2(nbp_lon, nbp_lat, kev)
+  REAL :: pyu1(nbp_lon*(nbp_lat-2)+2) !pyu1(kon)
+  REAL :: pyv1(nbp_lon*(nbp_lat-2)+2) !pyv1(kon)
+  REAL,ALLOCATABLE :: pyu12(:,:), pyv12(:,:) !pyu12(nbp_lon, nbp_lat), pyv12(nbp_lon, nbp_lat)
+  REAL :: ftsol(nbp_lon*(nbp_lat-2)+2,nbp_lev) !ftsol(kon, nbsrf)
+  REAL :: psrf(nbp_lon*(nbp_lat-2)+2,nbp_lev) !psrf(kon, nbsrf)
+  REAL,ALLOCATABLE :: ftsol1(:),ftsol2(:) !ftsol1(kon), ftsol2(kon)
+  REAL,ALLOCATABLE :: ftsol3(:),ftsol4(:) !ftsol3(kon), ftsol4(kon)
+  REAL,ALLOCATABLE :: psrf1(:), psrf2(:) !psrf1(kon), psrf2(kon)
+  REAL,ALLOCATABLE :: psrf3(:), psrf4(:) !psrf3(kon), psrf4(kon)
+  REAL,ALLOCATABLE :: ftsol12(:,:) !ftsol12(nbp_lon, nbp_lat)
+  REAL,ALLOCATABLE :: ftsol22(:,:) !ftsol22(nbp_lon, nbp_lat)
+  REAL,ALLOCATABLE :: ftsol32(:,:) !ftsol32(nbp_lon, nbp_lat)
+  REAL,ALLOCATABLE :: ftsol42(:,:) !ftsol42(nbp_lon, nbp_lat)
+  REAL,ALLOCATABLE :: psrf12(:,:) !psrf12(nbp_lon, nbp_lat)
+  REAL,ALLOCATABLE :: psrf22(:,:) !psrf22(nbp_lon, nbp_lat)
+  REAL,ALLOCATABLE :: psrf32(:,:) !psrf32(nbp_lon, nbp_lat)
+  REAL,ALLOCATABLE :: psrf42(:,:) !psrf42(nbp_lon, nbp_lat)
+
+  INTEGER,SAVE :: ncidp
+  INTEGER,SAVE :: varidmfu, varidmfd, varidps, varidenu, variddeu
+  INTEGER,SAVE :: varidt
+  INTEGER,SAVE :: varidend, varidded, varidch, varidfi, varidfn
   ! therm
-  INTEGER varidfmth, varidenth
-  INTEGER varidyu1, varidyv1, varidpl, varidai, varididvt
-  INTEGER varidfts1, varidfts2, varidfts3, varidfts4
-  INTEGER varidpsr1, varidpsr2, varidpsr3, varidpsr4
-  SAVE varidmfu, varidmfd, varidps, varidenu, variddeu
-  SAVE varidt
-  SAVE varidend, varidded, varidch, varidfi, varidfn
-  ! therm
-  SAVE varidfmth, varidenth
-  SAVE varidyu1, varidyv1, varidpl, varidai, varididvt
-  SAVE varidfts1, varidfts2, varidfts3, varidfts4
-  SAVE varidpsr1, varidpsr2, varidpsr3, varidpsr4
+  INTEGER,SAVE :: varidfmth, varidenth
+  INTEGER,SAVE :: varidyu1, varidyv1, varidpl, varidai, varididvt
+  INTEGER,SAVE :: varidfts1, varidfts2, varidfts3, varidfts4
+  INTEGER,SAVE :: varidpsr1, varidpsr2, varidpsr3, varidpsr4
 
   INTEGER l, i
   INTEGER start(4), count(4), status
   REAL rcode
-  LOGICAL first
-  SAVE first
-  DATA first/.TRUE./
-
-
+  LOGICAL,SAVE :: first=.TRUE.
+
+  ! Allocate arrays
+  kon=nbp_lon*(nbp_lat-2)+2
+  kev=nbp_lev
+
+  ALLOCATE(phisfi2(nbp_lon, nbp_lat))
+  ALLOCATE(airefi2(nbp_lon, nbp_lat))
+  ALLOCATE(mfu2(nbp_lon, nbp_lat, kev))
+  ALLOCATE(mfd2(nbp_lon, nbp_lat, kev))
+  ALLOCATE(en_u2(nbp_lon, nbp_lat, kev))
+  ALLOCATE(de_u2(nbp_lon, nbp_lat, kev))
+  ALLOCATE(en_d2(nbp_lon, nbp_lat, kev))
+  ALLOCATE(de_d2(nbp_lon, nbp_lat, kev))
+  ALLOCATE(coefh2(nbp_lon, nbp_lat, kev))
+  ALLOCATE(t2(nbp_lon, nbp_lat, kev))
+  ALLOCATE(fm_therm2(nbp_lon, nbp_lat, kev))
+  ALLOCATE(en_therm2(nbp_lon, nbp_lat, kev))
+  ALLOCATE(pl(kev))
+  ALLOCATE(frac_impa2(nbp_lon, nbp_lat, kev))
+  ALLOCATE(frac_nucl2(nbp_lon, nbp_lat, kev))
+  ALLOCATE(pyu12(nbp_lon, nbp_lat), pyv12(nbp_lon, nbp_lat))
+  ALLOCATE(ftsol1(kon), ftsol2(kon))
+  ALLOCATE(ftsol3(kon), ftsol4(kon))
+  ALLOCATE(psrf1(kon), psrf2(kon))
+  ALLOCATE(psrf3(kon), psrf4(kon))
+  ALLOCATE(ftsol12(nbp_lon, nbp_lat))
+  ALLOCATE(ftsol22(nbp_lon, nbp_lat))
+  ALLOCATE(ftsol32(nbp_lon, nbp_lat))
+  ALLOCATE(ftsol42(nbp_lon, nbp_lat))
+  ALLOCATE(psrf12(nbp_lon, nbp_lat))
+  ALLOCATE(psrf22(nbp_lon, nbp_lat))
+  ALLOCATE(psrf32(nbp_lon, nbp_lat))
+  ALLOCATE(psrf42(nbp_lon, nbp_lat))
 
   ! ---------------------------------------------
@@ -248,5 +275,5 @@
     status = nf_get_vara_real(ncidp, varidps, start, count, phisfi2)
 #endif
-    CALL gr_ecrit_fi(1, kon, iim, jjm+1, phisfi2, phisfi)
+    CALL gr_ecrit_fi(1, kon, nbp_lon, nbp_lat, phisfi2, phisfi)
 
     ! **** Aires des mails aux sol ************************************
@@ -257,5 +284,5 @@
     status = nf_get_vara_real(ncidp, varidai, start, count, airefi2)
 #endif
-    CALL gr_ecrit_fi(1, kon, iim, jjm+1, airefi2, airefi)
+    CALL gr_ecrit_fi(1, kon, nbp_lon, nbp_lat, airefi2, airefi)
   ELSE
 
@@ -288,5 +315,5 @@
     status = nf_get_vara_real(ncidp, varidt, start, count, t2)
 #endif
-    CALL gr_ecrit_fi(kev, kon, iim, jjm+1, t2, t)
+    CALL gr_ecrit_fi(kev, kon, nbp_lon, nbp_lat, t2, t)
 
     ! **** Flux pour la convection (Tiedtk)
@@ -298,5 +325,5 @@
     status = nf_get_vara_real(ncidp, varidmfu, start, count, mfu2)
 #endif
-    CALL gr_ecrit_fi(kev, kon, iim, jjm+1, mfu2, mfu)
+    CALL gr_ecrit_fi(kev, kon, nbp_lon, nbp_lat, mfu2, mfu)
 
     ! mfd
@@ -306,5 +333,5 @@
     status = nf_get_vara_real(ncidp, varidmfd, start, count, mfd2)
 #endif
-    CALL gr_ecrit_fi(kev, kon, iim, jjm+1, mfd2, mfd)
+    CALL gr_ecrit_fi(kev, kon, nbp_lon, nbp_lat, mfd2, mfd)
 
     ! en_u
@@ -314,5 +341,5 @@
     status = nf_get_vara_real(ncidp, varidenu, start, count, en_u2)
 #endif
-    CALL gr_ecrit_fi(kev, kon, iim, jjm+1, en_u2, en_u)
+    CALL gr_ecrit_fi(kev, kon, nbp_lon, nbp_lat, en_u2, en_u)
 
     ! de_u
@@ -322,5 +349,5 @@
     status = nf_get_vara_real(ncidp, variddeu, start, count, de_u2)
 #endif
-    CALL gr_ecrit_fi(kev, kon, iim, jjm+1, de_u2, de_u)
+    CALL gr_ecrit_fi(kev, kon, nbp_lon, nbp_lat, de_u2, de_u)
 
     ! en_d
@@ -330,5 +357,5 @@
     status = nf_get_vara_real(ncidp, varidend, start, count, en_d2)
 #endif
-    CALL gr_ecrit_fi(kev, kon, iim, jjm+1, en_d2, en_d)
+    CALL gr_ecrit_fi(kev, kon, nbp_lon, nbp_lat, en_d2, en_d)
 
     ! de_d
@@ -338,5 +365,5 @@
     status = nf_get_vara_real(ncidp, varidded, start, count, de_d2)
 #endif
-    CALL gr_ecrit_fi(kev, kon, iim, jjm+1, de_d2, de_d)
+    CALL gr_ecrit_fi(kev, kon, nbp_lon, nbp_lat, de_d2, de_d)
 
     ! **** Coefficient de mellange turbulent
@@ -349,5 +376,5 @@
     status = nf_get_vara_real(ncidp, varidch, start, count, coefh2)
 #endif
-    CALL gr_ecrit_fi(kev, kon, iim, jjm+1, coefh2, coefh)
+    CALL gr_ecrit_fi(kev, kon, nbp_lon, nbp_lat, coefh2, coefh)
     ! call dump2d(iip1,jjp1,coefh2(1,2),'COEFH2READ   ')
     ! call dump2d(iim ,jjm ,coefh (2,2),'COEFH2READ   ')
@@ -362,5 +389,5 @@
     status = nf_get_vara_real(ncidp, varidfmth, start, count, fm_therm2)
 #endif
-    CALL gr_ecrit_fi(kev, kon, iim, jjm+1, fm_therm2, fm_therm)
+    CALL gr_ecrit_fi(kev, kon, nbp_lon, nbp_lat, fm_therm2, fm_therm)
     PRINT *, 'LECTURE de en_therm a irec =', irec
 #ifdef NC_DOUBLE
@@ -369,5 +396,5 @@
     status = nf_get_vara_real(ncidp, varidenth, start, count, en_therm2)
 #endif
-    CALL gr_ecrit_fi(kev, kon, iim, jjm+1, en_therm2, en_therm)
+    CALL gr_ecrit_fi(kev, kon, nbp_lon, nbp_lat, en_therm2, en_therm)
 
     ! **** Coefficients de lessivage
@@ -379,5 +406,5 @@
     status = nf_get_vara_real(ncidp, varidfi, start, count, frac_impa2)
 #endif
-    CALL gr_ecrit_fi(kev, kon, iim, jjm+1, frac_impa2, frac_impa)
+    CALL gr_ecrit_fi(kev, kon, nbp_lon, nbp_lat, frac_impa2, frac_impa)
 
     ! frac_nucl
@@ -388,5 +415,5 @@
     status = nf_get_vara_real(ncidp, varidfn, start, count, frac_nucl2)
 #endif
-    CALL gr_ecrit_fi(kev, kon, iim, jjm+1, frac_nucl2, frac_nucl)
+    CALL gr_ecrit_fi(kev, kon, nbp_lon, nbp_lat, frac_nucl2, frac_nucl)
 
     ! **** Vents aux sol ********************************************
@@ -404,5 +431,5 @@
     status = nf_get_vara_real(ncidp, varidyu1, start, count, pyu12)
 #endif
-    CALL gr_ecrit_fi(1, kon, iim, jjm+1, pyu12, pyu1)
+    CALL gr_ecrit_fi(1, kon, nbp_lon, nbp_lat, pyu12, pyu1)
 
     ! pyv1
@@ -413,5 +440,5 @@
     status = nf_get_vara_real(ncidp, varidyv1, start, count, pyv12)
 #endif
-    CALL gr_ecrit_fi(1, kon, iim, jjm+1, pyv12, pyv1)
+    CALL gr_ecrit_fi(1, kon, nbp_lon, nbp_lat, pyv12, pyv1)
 
     ! **** Temerature au sol ********************************************
@@ -423,5 +450,5 @@
     status = nf_get_vara_real(ncidp, varidfts1, start, count, ftsol12)
 #endif
-    CALL gr_ecrit_fi(1, kon, iim, jjm+1, ftsol12, ftsol1)
+    CALL gr_ecrit_fi(1, kon, nbp_lon, nbp_lat, ftsol12, ftsol1)
 
     ! ftsol2
@@ -432,5 +459,5 @@
     status = nf_get_vara_real(ncidp, varidfts2, start, count, ftsol22)
 #endif
-    CALL gr_ecrit_fi(1, kon, iim, jjm+1, ftsol22, ftsol2)
+    CALL gr_ecrit_fi(1, kon, nbp_lon, nbp_lat, ftsol22, ftsol2)
 
     ! ftsol3
@@ -441,5 +468,5 @@
     status = nf_get_vara_real(ncidp, varidfts3, start, count, ftsol32)
 #endif
-    CALL gr_ecrit_fi(1, kon, iim, jjm+1, ftsol32, ftsol3)
+    CALL gr_ecrit_fi(1, kon, nbp_lon, nbp_lat, ftsol32, ftsol3)
 
     ! ftsol4
@@ -449,5 +476,5 @@
     status = nf_get_vara_real(ncidp, varidfts4, start, count, ftsol42)
 #endif
-    CALL gr_ecrit_fi(1, kon, iim, jjm+1, ftsol42, ftsol4)
+    CALL gr_ecrit_fi(1, kon, nbp_lon, nbp_lat, ftsol42, ftsol4)
 
     ! **** Nature sol ********************************************
@@ -459,5 +486,5 @@
 #endif
     ! call dump2d(iip1-1,jjm+1,psrf12,'PSRF1NC')
-    CALL gr_ecrit_fi(1, kon, iim, jjm+1, psrf12, psrf1)
+    CALL gr_ecrit_fi(1, kon, nbp_lon, nbp_lat, psrf12, psrf1)
 
     ! psrf2
@@ -468,5 +495,5 @@
 #endif
     ! call dump2d(iip1-1,jjm+1,psrf22,'PSRF2NC')
-    CALL gr_ecrit_fi(1, kon, iim, jjm+1, psrf22, psrf2)
+    CALL gr_ecrit_fi(1, kon, nbp_lon, nbp_lat, psrf22, psrf2)
 
     ! psrf3
@@ -476,5 +503,5 @@
     status = nf_get_vara_real(ncidp, varidpsr3, start, count, psrf32)
 #endif
-    CALL gr_ecrit_fi(1, kon, iim, jjm+1, psrf32, psrf3)
+    CALL gr_ecrit_fi(1, kon, nbp_lon, nbp_lat, psrf32, psrf3)
 
     ! psrf4
@@ -484,5 +511,5 @@
     status = nf_get_vara_real(ncidp, varidpsr4, start, count, psrf42)
 #endif
-    CALL gr_ecrit_fi(1, kon, iim, jjm+1, psrf42, psrf4)
+    CALL gr_ecrit_fi(1, kon, nbp_lon, nbp_lat, psrf42, psrf4)
 
     DO i = 1, kon
Index: /LMDZ5/branches/testing/libf/phylmd/readaerosol.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/readaerosol.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/readaerosol.F90	(revision 2408)
@@ -20,8 +20,7 @@
 !****************************************************************************************
   USE dimphy
+  USE print_control_mod, ONLY: lunout
 
   IMPLICIT NONE
-
- INCLUDE "iniprint.h"
 
   ! Input arguments
@@ -130,5 +129,5 @@
            IF (klev_src /= klev_src2) THEN
               WRITE(lunout,*) 'Two aerosols files with different number of vertical levels is not allowded'
-              CALL abort_gcm('readaersosol','Error in number of vertical levels',1)
+              CALL abort_physic('readaersosol','Error in number of vertical levels',1)
            END IF
            
@@ -162,5 +161,5 @@
   ELSE
      WRITE(lunout,*)'This option is not implemented : aer_type = ', type,' name_aero=',name_aero
-     CALL abort_gcm('readaerosol','Error : aer_type parameter not accepted',1)
+     CALL abort_physic('readaerosol','Error : aer_type parameter not accepted',1)
   END IF ! type
 
@@ -179,5 +178,5 @@
 ! 3) Read field month by month
 ! 4) Close file  
-! 5) Transform the global field from 2D(iim, jjp+1) to 1D(klon_glo)
+! 5) Transform the global field from 2D(nbp_lon,nbp_lat) to 1D(klon_glo)
 !     - Also the levels and the latitudes have to be inversed
 !
@@ -189,13 +188,12 @@
     USE netcdf
     USE dimphy
-    USE mod_grid_phy_lmdz
+    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, klon_glo, &
+                                 grid2Dto1D_glo
     USE mod_phys_lmdz_para
     USE iophy, ONLY : io_lon, io_lat
+    USE print_control_mod, ONLY: lunout
 
     IMPLICIT NONE
       
-    INCLUDE "dimensions.h"      
-    INCLUDE "iniprint.h"
-
 ! Input argumets
     CHARACTER(len=7), INTENT(IN)          :: varname
@@ -224,11 +222,11 @@
     REAL, ALLOCATABLE, DIMENSION(:)       :: varktmp
 
-    REAL, DIMENSION(iim,jjm+1,12)         :: psurf_glo2D   ! Surface pression for 12 months on dynamics global grid
+    REAL, DIMENSION(nbp_lon,nbp_lat,12)         :: psurf_glo2D   ! Surface pression for 12 months on dynamics global grid
     REAL, DIMENSION(klon_glo,12)          :: psurf_glo1D   ! -"- on physical global grid
-    REAL, DIMENSION(iim,jjm+1,12)         :: load_glo2D    ! Load for 12 months on dynamics global grid
+    REAL, DIMENSION(nbp_lon,nbp_lat,12)         :: load_glo2D    ! Load for 12 months on dynamics global grid
     REAL, DIMENSION(klon_glo,12)          :: load_glo1D    ! -"- on physical global grid
-    REAL, DIMENSION(iim,jjm+1)            :: vartmp
-    REAL, DIMENSION(iim)                  :: lon_src              ! longitudes in file
-    REAL, DIMENSION(jjm+1)                :: lat_src, lat_src_inv ! latitudes in file
+    REAL, DIMENSION(nbp_lon,nbp_lat)            :: vartmp
+    REAL, DIMENSION(nbp_lon)                  :: lon_src              ! longitudes in file
+    REAL, DIMENSION(nbp_lat)                :: lat_src, lat_src_inv ! latitudes in file
     LOGICAL                               :: new_file             ! true if new file format detected
     LOGICAL                               :: invert_lat           ! true if the field has to be inverted for latitudes
@@ -260,5 +258,5 @@
           WRITE(lunout,*) 'longitudes in model :', io_lon
           
-          CALL abort_gcm('get_aero_fromfile', 'longitudes are not the same in file and model',1)
+          CALL abort_physic('get_aero_fromfile', 'longitudes are not the same in file and model',1)
        END IF
 
@@ -268,6 +266,6 @@
 
        ! Invert source latitudes
-       DO j = 1, jjm+1
-          lat_src_inv(j) = lat_src(jjm+1 +1 -j)
+       DO j = 1, nbp_lat
+          lat_src_inv(j) = lat_src(nbp_lat +1 -j)
        END DO
 
@@ -283,5 +281,5 @@
           WRITE(lunout,*) 'latitudes in file ', TRIM(fname),' : ', lat_src      
           WRITE(lunout,*) 'latitudes in model :', io_lat
-          CALL abort_gcm('get_aero_fromfile', 'latitudes do not correspond between file and model',1)
+          CALL abort_physic('get_aero_fromfile', 'latitudes do not correspond between file and model',1)
        END IF
 
@@ -297,5 +295,5 @@
           IF (ierr /= NF90_NOERR) THEN
              ! Dimension PRESNIVS not found either
-             CALL abort_gcm('get_aero_fromfile', 'dimension lev or presnivs not in file',1)
+             CALL abort_physic('get_aero_fromfile', 'dimension lev or presnivs not in file',1)
           ELSE 
              ! Old file found
@@ -314,9 +312,9 @@
        
      ! Allocate variables depending on the number of vertical levels
-       ALLOCATE(varmth(iim, jjm+1, klev_src), varyear(iim, jjm+1, klev_src, 12), stat=ierr)
-       IF (ierr /= 0) CALL abort_gcm('get_aero_fromfile', 'pb in allocation 1',1)
+       ALLOCATE(varmth(nbp_lon,nbp_lat, klev_src), varyear(nbp_lon,nbp_lat, klev_src, 12), stat=ierr)
+       IF (ierr /= 0) CALL abort_physic('get_aero_fromfile', 'pb in allocation 1',1)
 
        ALLOCATE(pt_ap(klev_src), pt_b(klev_src), varktmp(klev_src), stat=ierr)
-       IF (ierr /= 0) CALL abort_gcm('get_aero_fromfile', 'pb in allocation 2',1)
+       IF (ierr /= 0) CALL abort_physic('get_aero_fromfile', 'pb in allocation 2',1)
 
 ! 3) Read all variables from file
@@ -333,5 +331,6 @@
 !       IF (nbr_tsteps /= 12 .AND. nbr_tsteps /= 14) THEN
        IF (nbr_tsteps /= 12 ) THEN
-         CALL abort_gcm('get_aero_fromfile', 'not the right number of months in aerosol file read (should be 12 for the moment)',1)
+    CALL abort_physic('get_aero_fromfile', 'not the right number of months in aerosol file read (should be 12 for the moment)' &
+                     ,1)
        ENDIF
 
@@ -435,5 +434,5 @@
      
 
-! 5) Transform the global field from 2D(iim, jjp+1) to 1D(klon_glo)
+! 5) Transform the global field from 2D(nbp_lon,nbp_lat) to 1D(klon_glo)
 !****************************************************************************************
 ! Test if vertical levels have to be inversed
@@ -448,6 +447,6 @@
              varmth(:,:,:) = varyear(:,:,:,imth) ! use varmth temporarly
              DO k=1, klev_src
-                DO j=1, jjm+1
-                   DO i=1,iim 
+                DO j=1, nbp_lat
+                   DO i=1, nbp_lon
                       varyear(i,j,k,imth) = varmth(i,j,klev_src+1-k)
                    END DO
@@ -482,7 +481,7 @@
              varmth(:,:,:) = varyear(:,:,:,imth) ! use varmth temporarly
              DO k=1,klev_src
-                DO j=1,jjm+1
-                   DO i=1,iim
-                      varyear(i,j,k,imth) = varmth(i,jjm+1+1-j,k)
+                DO j=1,nbp_lat
+                   DO i=1,nbp_lon
+                      varyear(i,j,k,imth) = varmth(i,nbp_lat+1-j,k)
                    END DO
                 END DO
@@ -491,7 +490,7 @@
              ! Invert latitudes for surface pressure
              vartmp(:,:) = psurf_glo2D(:,:,imth)
-             DO j=1, jjm+1
-                DO i=1,iim
-                   psurf_glo2D(i,j,imth)= vartmp(i,jjm+1+1-j)
+             DO j=1,nbp_lat
+                DO i=1,nbp_lon
+                   psurf_glo2D(i,j,imth)= vartmp(i,nbp_lat+1-j)
                 END DO
              END DO
@@ -499,7 +498,7 @@
              ! Invert latitudes for the load
              vartmp(:,:) = load_glo2D(:,:,imth)
-             DO j=1, jjm+1
-                DO i=1,iim
-                   load_glo2D(i,j,imth)= vartmp(i,jjm+1+1-j)
+             DO j=1,nbp_lat
+                DO i=1,nbp_lon
+                   load_glo2D(i,j,imth)= vartmp(i,nbp_lat+1-j)
                 END DO
              END DO
@@ -509,18 +508,18 @@
           DO k=1, klev_src
              npole=0.  ! North pole, j=1
-             spole=0.  ! South pole, j=jjm+1         
-             DO i=1,iim
+             spole=0.  ! South pole, j=nbp_lat        
+             DO i=1,nbp_lon
                 npole = npole + varyear(i,1,k,imth)
-                spole = spole + varyear(i,jjm+1,k,imth)
+                spole = spole + varyear(i,nbp_lat,k,imth)
              END DO
-             npole = npole/REAL(iim)
-             spole = spole/REAL(iim)
+             npole = npole/REAL(nbp_lon)
+             spole = spole/REAL(nbp_lon)
              varyear(:,1,    k,imth) = npole
-             varyear(:,jjm+1,k,imth) = spole
+             varyear(:,nbp_lat,k,imth) = spole
           END DO
        END DO ! imth
        
        ALLOCATE(varyear_glo1D(klon_glo, klev_src, 12), stat=ierr)
-       IF (ierr /= 0) CALL abort_gcm('get_aero_fromfile', 'pb in allocation 3',1)
+       IF (ierr /= 0) CALL abort_physic('get_aero_fromfile', 'pb in allocation 3',1)
        
        ! Transform from 2D to 1D field
@@ -546,5 +545,5 @@
     IF (.NOT. ASSOCIATED(pt_ap)) THEN  ! if pt_ap is allocated also pt_b is allocated
        ALLOCATE(pt_ap(klev_src), pt_b(klev_src), stat=ierr)
-       IF (ierr /= 0) CALL abort_gcm('get_aero_fromfile', 'pb in allocation 4',1)
+       IF (ierr /= 0) CALL abort_physic('get_aero_fromfile', 'pb in allocation 4',1)
     END IF
     CALL bcast(pt_ap)
@@ -554,5 +553,5 @@
     IF (ASSOCIATED(pt_year)) DEALLOCATE(pt_year)
     ALLOCATE(pt_year(klon, klev_src, 12), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm('get_aero_fromfile', 'pb in allocation 5',1)
+    IF (ierr /= 0) CALL abort_physic('get_aero_fromfile', 'pb in allocation 5',1)
 
     ! Scatter global field to local domain at local process
@@ -572,7 +571,7 @@
   SUBROUTINE check_err(status,text)
     USE netcdf
+    USE print_control_mod, ONLY: lunout
     IMPLICIT NONE
 
-    INCLUDE "iniprint.h"
     INTEGER, INTENT (IN) :: status
     CHARACTER(len=*), INTENT (IN), OPTIONAL :: text
@@ -583,5 +582,5 @@
           WRITE(lunout,*) 'Error in get_aero_fromfile : ',text
        END IF
-       CALL abort_gcm('get_aero_fromfile',trim(nf90_strerror(status)),1)
+       CALL abort_physic('get_aero_fromfile',trim(nf90_strerror(status)),1)
     END IF
 
Index: /LMDZ5/branches/testing/libf/phylmd/readaerosol_interp.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/readaerosol_interp.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/readaerosol_interp.F90	(revision 2408)
@@ -21,4 +21,5 @@
   USE phys_cal_mod
   USE pres2lev_mod
+  USE print_control_mod, ONLY: lunout
 
   IMPLICIT NONE
@@ -26,9 +27,6 @@
   INCLUDE "YOMCST.h"
   INCLUDE "chem.h"      
-  INCLUDE "temps.h"      
   INCLUDE "clesphys.h"
-  INCLUDE "iniprint.h"
-  INCLUDE "dimensions.h"
-  INCLUDE "comvert.h"
+
 !
 ! Input:
@@ -150,13 +148,13 @@
   IF (.NOT. ALLOCATED(var_day)) THEN
      ALLOCATE( var_day(klon, klev, naero_spc), stat=ierr)
-     IF (ierr /= 0) CALL abort_gcm('readaerosol_interp', 'pb in allocation 1',1)
+     IF (ierr /= 0) CALL abort_physic('readaerosol_interp', 'pb in allocation 1',1)
      ALLOCATE( pi_var_day(klon, klev, naero_spc), stat=ierr)
-     IF (ierr /= 0) CALL abort_gcm('readaerosol_interp', 'pb in allocation 2',1)
+     IF (ierr /= 0) CALL abort_physic('readaerosol_interp', 'pb in allocation 2',1)
 
      ALLOCATE( psurf_year(klon, 12, naero_spc), pi_psurf_year(klon, 12, naero_spc), stat=ierr)
-     IF (ierr /= 0) CALL abort_gcm('readaerosol_interp', 'pb in allocation 3',1)
+     IF (ierr /= 0) CALL abort_physic('readaerosol_interp', 'pb in allocation 3',1)
 
      ALLOCATE( load_year(klon, 12, naero_spc), pi_load_year(klon, 12, naero_spc), stat=ierr)
-     IF (ierr /= 0) CALL abort_gcm('readaerosol_interp', 'pb in allocation 4',1)
+     IF (ierr /= 0) CALL abort_physic('readaerosol_interp', 'pb in allocation 4',1)
 
      lnewday=.TRUE.
@@ -209,5 +207,5 @@
         END IF
      ELSE
-        CALL abort_gcm('readaerosol_interp', 'this aer_type not supported',1)
+        CALL abort_physic('readaerosol_interp', 'this aer_type not supported',1)
      END IF
 
@@ -216,5 +214,5 @@
      IF (.NOT. ALLOCATED(var_year)) THEN
         ALLOCATE(var_year(klon, klev_src, 12, naero_spc), stat=ierr)
-        IF (ierr /= 0) CALL abort_gcm('readaerosol_interp', 'pb in allocation 5',1)
+        IF (ierr /= 0) CALL abort_physic('readaerosol_interp', 'pb in allocation 5',1)
      END IF
      var_year(:,:,:,id_aero) = pt_tmp(:,:,:)
@@ -230,10 +228,10 @@
         WRITE(lunout,*) 'Error! All forcing files for the same aerosol must have the same vertical dimension'
         WRITE(lunout,*) 'Aerosol : ', name_aero(id_aero)
-        CALL abort_gcm('readaerosol_interp','Differnt vertical axes in aerosol forcing files',1)
+        CALL abort_physic('readaerosol_interp','Differnt vertical axes in aerosol forcing files',1)
      END IF
 
      IF (.NOT. ALLOCATED(pi_var_year)) THEN
         ALLOCATE(pi_var_year(klon, klev_src, 12, naero_spc), stat=ierr)
-        IF (ierr /= 0) CALL abort_gcm('readaerosol_interp', 'pb in allocation 6',1)
+        IF (ierr /= 0) CALL abort_physic('readaerosol_interp', 'pb in allocation 6',1)
      END IF
      pi_var_year(:,:,:,id_aero) = pt_tmp(:,:,:)
@@ -259,10 +257,10 @@
         IF (  psurf_year(1,1,id_aero) /= pi_psurf_year(1,1,id_aero) ) THEN
            WRITE(lunout,*) 'Warning! All forcing files for the same aerosol must have the same structure'
-           CALL abort_gcm('readaerosol_interp', 'The aerosol files have not the same format',1)
+           CALL abort_physic('readaerosol_interp', 'The aerosol files have not the same format',1)
         END IF
         
         IF (klev /= klev_src) THEN
            WRITE(lunout,*) 'Old format of aerosol file do not allowed vertical interpolation'
-           CALL abort_gcm('readaerosol_interp', 'Old aerosol file not possible',1)
+           CALL abort_physic('readaerosol_interp', 'Old aerosol file not possible',1)
         END IF
 
@@ -336,5 +334,5 @@
        END IF
      ELSE
-       CALL abort_gcm('readaerosol_interp', 'number of months undefined',1)
+       CALL abort_physic('readaerosol_interp', 'number of months undefined',1)
      ENDIF
      if (debug) then
@@ -345,8 +343,8 @@
      ! Time interpolation, still on vertical source grid
      ALLOCATE(tmp1(klon,klev_src), tmp2(klon,klev_src),stat=ierr)
-     IF (ierr /= 0) CALL abort_gcm('readaerosol_interp', 'pb in allocation 7',1)
+     IF (ierr /= 0) CALL abort_physic('readaerosol_interp', 'pb in allocation 7',1)
 
      ALLOCATE(pplay_src(klon,klev_src), stat=ierr)
-     IF (ierr /= 0) CALL abort_gcm('readaerosol_interp', 'pb in allocation 8',1)
+     IF (ierr /= 0) CALL abort_physic('readaerosol_interp', 'pb in allocation 8',1)
      
 
@@ -544,5 +542,5 @@
                  WRITE(lunout,*) 'stop for aerosol : ',name_aero(id_aero)
                  WRITE(lunout,*) 'day1, day2, jDay = ', day1, day2, jDay 
-                 CALL abort_gcm('readaerosol_interp','Error in interpolation 1',1)
+                 CALL abort_physic('readaerosol_interp','Error in interpolation 1',1)
               END IF
            END DO 
@@ -563,5 +561,5 @@
                  
                  WRITE(lunout,*) 'stop for aerosol : ',name_aero(id_aero)
-                 CALL abort_gcm('readaerosol_interp','Error in interpolation 2',1)
+                 CALL abort_physic('readaerosol_interp','Error in interpolation 2',1)
               END IF
            END DO
